Bug 974072 - Fedora and probably upstream kernel doesn't support wifi device with ralink 3070 chipset
Summary: Fedora and probably upstream kernel doesn't support wifi device with ralink 3...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-ralink
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 11:44 UTC by Valent Turkovic
Modified: 2013-12-02 21:02 UTC (History)
11 users (show)

Fixed In Version: kernel-3.11.3-301.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-06 01:29:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rt2800-add-support-for-rf3070.patch (2.50 KB, text/plain)
2013-09-25 15:03 UTC, Stanislaw Gruszka
no flags Details

Description Valent Turkovic 2013-06-13 11:44:26 UTC
Description of problem:
I just received a $4.39 USB WiFi adapter from a Hong Kong eBay seller (auction titled “Mini 150M USB WiFi Wireless N LAN Network Adapter 802.11n/g/b”) that has a Ralink 3070 chipset. 

when I plugged the adapter in rt2800usb driver in Fedora loads but just shows “Invalid RF chipset 0×3070 detected” in dmesg  

Some people suggest blacklisting rt2800usb module and compiling new module, and 

I downloaded latest Ralink driver and compiled it from their webpage: http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501

After installing them and loading via "modprobe rt5370sta" I get ra0 wireless interface, but it looks it still doesn't work, networkmanager isn't showing anything.

This guy has solved it:
http://www.geekamole.com/2013/rt2800usb-fix-for-ralinkmediatek-3070-gentoo-linux/

He patcher existing rt2500usb module so that is supports rt3070 chipset, I haven't tried that but it seams that should work...

How should I report this to upstream kernel developers?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 leigh scott 2013-06-13 12:55:54 UTC
My cheap ebay rt3070 works fines


$ lsusb -d 148f:3070
Bus 001 Device 003: ID 148f:3070 Ralink Technology, Corp. RT2870/RT3070 Wireless Adapter
[leigh@Leigh-PC ~]$ nm-tool

NetworkManager Tool

State: connected (global)

- Device: wlp0s18f2u5  [Auto BTHomeHub2-M82Z] ----------------------------------
  Type:              802.11 WiFi
  Driver:            rt2800usb
  State:             connected
  Default:           no
  HW Address:        00:08:10:72:B9:68

  Capabilities:
    Speed:           65 Mb/s

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points (* = current AP)
    GetOffMyLAN:     Infra, 00:17:3F:89:2C:85, Freq 2442 MHz, Rate 54 Mb/s, Strength 69 WPA WPA2
    TALKTALK-95B66A: Infra, B8:A3:86:95:B6:6A, Freq 2412 MHz, Rate 54 Mb/s, Strength 45 WPA WPA2
    BTHomeHub-0B97:  Infra, 00:1D:68:4F:4C:1B, Freq 2442 MHz, Rate 54 Mb/s, Strength 49 WEP
    BTOpenzone:      Infra, 02:1D:68:4F:4C:1C, Freq 2442 MHz, Rate 54 Mb/s, Strength 45
    *BTHomeHub2-M82Z:Infra, 00:8B:5D:A6:B4:82, Freq 2462 MHz, Rate 54 Mb/s, Strength 65 WPA WPA2

  IPv4 Settings:
    Address:         192.168.1.67
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.1.254

    DNS:             192.168.1.254

Comment 2 Ed Greshko 2013-06-13 14:34:29 UTC
On my F18 my USB WiFi adapter works just fine....

[egreshko@meimei ~]$ lsusb -d 0411:015d
Bus 001 Device 004: ID 0411:015d BUFFALO INC. (formerly MelCo., Inc.) WLI-UC-GN Wireless LAN Adapter [Ralink RT3070]

- Device: wlan0  [misty-net] ---------------------------------------------------
  Type:              802.11 WiFi
  Driver:            rt2800usb
  State:             connected
  Default:           no
  HW Address:        00:24:A5:50:70:B2

  Capabilities:
    Speed:           48 Mb/s

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

 Wireless Access Points (* = current AP)
    P874:            Infra, CC:5D:4E:C3:69:86, Freq 2412 MHz, Rate 54 Mb/s, Strength 59 WPA
    *misty-net:      Infra, 00:1C:F0:B7:5E:2D, Freq 2452 MHz, Rate 54 Mb/s, Strength 77 WPA

  IPv4 Settings:
    Address:         192.168.0.196
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.0.1

    DNS:             192.168.0.1

Comment 3 Valent Turkovic 2013-06-13 18:50:16 UTC
Ed you have a different device, but Leigh you seam to have same device as I do but mine doesn't work :(

Can you please send your dmesg log, and which kernel you are using, you are also using rt2800usb module?

lsusb:
Bus 002 Device 004: ID 148f:3070 Ralink Technology, Corp. RT2870/RT3070 Wireless Adapter

dmesg:
[   76.583036] usb 2-2: new high-speed USB device number 4 using ehci-pci
[   76.717649] usb 2-2: New USB device found, idVendor=148f, idProduct=3070
[   76.717655] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   76.717658] usb 2-2: Product: 802.11 n WLAN
[   76.717660] usb 2-2: Manufacturer: Ralink
[   76.717662] usb 2-2: SerialNumber: 1.0
[   76.791246] cfg80211: Calling CRDA to update world regulatory domain
[   76.811737] cfg80211: World regulatory domain updated:
[   76.811743] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   76.811746] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   76.811748] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   76.811749] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   76.811751] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   76.811753] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   76.943039] usb 2-2: reset high-speed USB device number 4 using ehci-pci
[   77.086274] phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 5390, rf: 3070, rev: 0502.
[   77.086280] phy0 -> rt2800_init_eeprom: Error - Invalid RF chipset 0x3070 detected.
[   77.086282] phy0 -> rt2x00lib_probe_dev: Error - Failed to allocate device.
[   77.087703] usbcore: registered new interface driver rt2800usb

uname -a:
Linux blackbox.lan 3.9.4-200.fc18.x86_64 #1 SMP Fri May 24 20:10:49 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Comment 4 Valent Turkovic 2013-06-13 19:14:25 UTC
Found this on Ubuntu forums:

1. download driver http://www.mediatek.com/_en/07_downl...il.php?sn=5001
2 tar -xvf /home/ukbeast/USERNAME/Downloads/2011_1007_RT5390_RT5392_Linux_STA_V2.5.0.3_DPO_v2. bz2.bz2
3 cd 2011_1007_RT5390_RT5392_Linux_STA_V2.5.0.3_DPO
4 download patch http://gridlox.net/diff/rt5592sta_fix_64bit_3.8.patch
5 patch -p1 <rt5592sta_fix_64bit_3.8.patch (if asks for directory point it to pci_main_dev.c)
6 make sure /os/linux/config.mk reads HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y
7 make
8 sudo make install
9 modprobe rt5390sta

Comment 5 Valent Turkovic 2013-06-13 19:17:26 UTC
Download link:
http://www.mediatek.com/_en/07_downloads/01-1_windowsDetail.php?sn=5001

Comment 6 leigh scott 2013-06-13 19:28:21 UTC
(In reply to Valent Turkovic from comment #3)
> Ed you have a different device, but Leigh you seam to have same device as I
> do but mine doesn't work :(
> 
> Can you please send your dmesg log, and which kernel you are using, you are
> also using rt2800usb module?


Here's the output for dmseg



[ 1107.306427] FAT-fs (sde1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[ 1133.919435] sde: detected capacity change from 8019509248 to 0
[ 1140.284635] usb 1-5: USB disconnect, device number 5
[22138.575398] usb 1-5: new high-speed USB device number 6 using ehci-pci
[22138.710514] usb 1-5: New USB device found, idVendor=148f, idProduct=3070
[22138.710521] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[22138.710526] usb 1-5: Product: 802.11 n WLAN
[22138.710530] usb 1-5: Manufacturer: Ralink
[22138.710533] usb 1-5: SerialNumber: 1.0
[22138.751171] cfg80211: Calling CRDA to update world regulatory domain
[22138.760205] cfg80211: World regulatory domain updated:
[22138.760212] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[22138.760217] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[22138.760222] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[22138.760226] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[22138.760231] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[22138.760235] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[22138.901053] usb 1-5: reset high-speed USB device number 6 using ehci-pci
[22139.057055] phy0 -> rt2x00_set_chip: Info - Chipset detected - rt: 3070, rf: 0005, rev: 0200.
[22139.065183] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[22139.066148] usbcore: registered new interface driver rt2800usb
[22139.079895] systemd-udevd[3489]: renamed network interface wlan0 to wlp0s18f2u5
[22139.091273] phy0 -> rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'.
[22139.091351] cfg80211: Calling CRDA for country: GB
[22139.091713] phy0 -> rt2x00lib_request_firmware: Info - Firmware detected - version: 0.29.
[22139.098322] cfg80211: Regulatory domain changed to country: GB
[22139.098327] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[22139.098333] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[22139.098338] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[22139.098342] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[22139.098347] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[22139.098350] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
[22139.346989] IPv6: ADDRCONF(NETDEV_UP): wlp0s18f2u5: link is not ready
[22141.575892] wlp0s18f2u5: authenticate with 00:8b:5d:a6:b4:82
[22141.622874] wlp0s18f2u5: send auth to 00:8b:5d:a6:b4:82 (try 1/3)
[22141.624671] wlp0s18f2u5: authenticated
[22141.625919] wlp0s18f2u5: associate with 00:8b:5d:a6:b4:82 (try 1/3)
[22141.629050] wlp0s18f2u5: RX AssocResp from 00:8b:5d:a6:b4:82 (capab=0x431 status=0 aid=3)
[22141.636256] wlp0s18f2u5: associated
[22141.636271] IPv6: ADDRCONF(NETDEV_CHANGE): wlp0s18f2u5: link becomes ready



As for the kernel

$ uname -r
3.9.5-301.fc19.x86_64

Comment 7 Valent Turkovic 2013-06-13 19:33:30 UTC
You have:
rt2x00_set_chip: Info - Chipset detected - rt: 3070, rf: 0005, rev: 0200.

and I have:
rt2x00_set_chip: Info - Chipset detected - rt: 5390, rf: 3070, rev: 0502.

I tried rt5390 module but it doesn't work :(

tar xvjf 2011_1007_RT5390_RT5392_Linux_STA_V2.5.0.3_DPO_v2.bz2.bz2
cd 2011_1007_RT5390_RT5392_Linux_STA_V2.5.0.3_DPO/
wget http://gridlox.net/diff/rt5592sta_fix_64bit_3.8.patch
patch -p1 <rt5592sta_fix_64bit_3.8.patch
vi os/linux/config.mk 
make
sudo make install
sudo rmmod rt2800usb
sudo modprobe rt5390sta

module loads but I still don't gave wifi interface :(

Comment 8 Valent Turkovic 2013-06-13 19:35:24 UTC
I still thing this guy nailed it:
http://www.geekamole.com/2013/rt2800usb-fix-for-ralinkmediatek-3070-gentoo-linux/

Comment 9 Valent Turkovic 2013-06-13 20:11:12 UTC
I found driver on page on ebay sellers page:
http://www.ebay.com/itm/200822906643

But it fails to build ;(

unrar x DN0249.rar 
mv Ralink2070\ 3070\ 3072\ 5370\ 5372/ Ralink2070_3070_3072_5370_5372/
cd Ralink2070_3070_3072_5370_5372/Linux/
tar xvjf 2008_0925_RT2870_Linux_STA_v1.4.0.0.tar.bz2 
cd 2008_0925_RT2870_Linux_STA_v1.4.0.0/
sudo make

here are lines that show how fails:
/home/valent/bin/DN0249/Ralink2070_3070_3072_5370_5372/Linux/2008_0925_RT2870_Linux_STA_v1.4.0.0/os/linux/../../os/linux/rt_linux.c:1051:2: greška: implicit declaration of function „daemonize” [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[2]: *** [/home/valent/bin/DN0249/Ralink2070_3070_3072_5370_5372/Linux/2008_0925_RT2870_Linux_STA_v1.4.0.0/os/linux/../../os/linux/rt_linux.o] Error 1
make[1]: *** [_module_/home/valent/bin/DN0249/Ralink2070_3070_3072_5370_5372/Linux/2008_0925_RT2870_Linux_STA_v1.4.0.0/os/linux] Error 2
make[1]: Exit from directory `/usr/src/kernels/3.9.5-201.fc18.x86_64'
make: *** [LINUX] Error 2

Comment 10 Valent Turkovic 2013-06-14 08:55:34 UTC
Is this what I got rt3070 rt5390 or some other chip? Are there all same chip but different revisions? It is really confusing...

Comment 11 Valent Turkovic 2013-06-22 14:28:20 UTC
Anybody? I really need help.

Comment 12 Fedora End Of Life 2013-09-16 14:10:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 13 Stanislaw Gruszka 2013-09-25 15:03:07 UTC
Created attachment 802904 [details]
rt2800-add-support-for-rf3070.patch

Proposed fix for this bug (for 3.11 kernel). I posted upstream version here:
http://marc.info/?l=linux-wireless&m=138011621113555&w=2

Kernel build with patch launched here (still building):
http://koji.fedoraproject.org/koji/taskinfo?taskID=5982483

Please test it when finish to compile.

Comment 14 Valent Turkovic 2013-09-27 14:23:41 UTC
Thanks Stanislaw, this works great!

After installing new kernel I saw via dmesg that card was recognized and Network Manger showed wifi networks, I connecter with no problem to my home wifi...

Here is output from dmesg:

[   64.147335] usb 2-6: new high-speed USB device number 4 using ehci-pci
[   64.283000] usb 2-6: New USB device found, idVendor=148f, idProduct=3070
[   64.283057] usb 2-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   64.283068] usb 2-6: Product: 802.11 n WLAN
[   64.283074] usb 2-6: Manufacturer: Ralink
[   64.283079] usb 2-6: SerialNumber: 1.0
[   64.393363] cfg80211: Calling CRDA to update world regulatory domain
[   64.407421] cfg80211: World regulatory domain updated:
[   64.407433] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   64.407439] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   64.407444] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   64.407449] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   64.407453] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   64.407458] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   64.564061] usb 2-6: reset high-speed USB device number 4 using ehci-pci
[   64.692234] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 5390, rev 0502 detected
[   64.775731] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 3070 detected
[   64.791622] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   64.795610] usbcore: registered new interface driver rt2800usb
[   64.820251] systemd-udevd[2179]: renamed network interface wlan0 to wlp0s4f1u6
[   64.832285] ieee80211 phy0: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[   64.841497] ieee80211 phy0: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.29
[   65.194543] IPv6: ADDRCONF(NETDEV_UP): wlp0s4f1u6: link is not ready
[   65.194674] cfg80211: Calling CRDA for country: HR
[   65.204055] cfg80211: Regulatory domain changed to country: HR
[   65.204066] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   65.204072] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   65.204076] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   65.204080] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   65.204084] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[   65.204088] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)

Comment 15 Stanislaw Gruszka 2013-09-30 10:58:14 UTC
Josh, please apply patch from comment 13 as fix for this bug (3.11 version is attached, upstream post is for -next).

Comment 16 Josh Boyer 2013-09-30 13:42:17 UTC
Applied to F19 through rawhide.  F18 should pick this up with the 3.11 rebase this week.  Thanks!

Comment 17 Fedora Update System 2013-10-03 13:43:42 UTC
kernel-3.11.3-201.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.3-201.fc19

Comment 18 Fedora Update System 2013-10-03 13:45:59 UTC
kernel-3.11.3-301.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.3-301.fc20

Comment 19 Fedora Update System 2013-10-04 02:02:49 UTC
Package kernel-3.11.3-301.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.3-301.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18268/kernel-3.11.3-301.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-10-06 01:29:21 UTC
kernel-3.11.3-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-10-09 14:14:52 UTC
kernel-3.11.3-301.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.